Subject: Re: [PATCH V2 03/12] net-next: mediatek: add embedded switch driver (ESW)

From: Andrew Lunn <[email-masked]>
Date: Fri, 26 Feb 2016 16:18:13 +0100

On Fri, Feb 26, 2016 at 03:21:35PM +0100, John Crispin wrote:
> The ESW is found in many of the old 100mbit MIPS based SoCs. it has 5
> external ports, 1 cpu port and 1 further port that the internal HW
> offloading engine connects to.
> 
> This driver is very basic and only provides basic init and irq support.
> The SoC and switch core both have support for a special tag making DSA
> support possible.

Hi Crispin

There was recently a discussion about adding switches without using
DSA or switchdev. It was pretty much decided we would not accept such
drivers.

Sorry

	Andrew